--
-- Dumping triggers for table `Customers`
--

USE `porta-billing`;
DELIMITER |

DROP TRIGGER IF EXISTS `Trg_Update_Customers`|
CREATE TRIGGER `Trg_Update_Customers` AFTER UPDATE ON `Customers` FOR EACH ROW BEGIN
DECLARE n_i_rep int(10) unsigned;
DECLARE o_i_rep int(10) unsigned;
SET n_i_rep=IFNULL(NEW.i_rep,0);
SET o_i_rep=IFNULL(OLD.i_rep,0);
  IF o_i_rep IN (3,17,5,9,12) AND n_i_rep NOT IN (3,17,5,9,12) THEN
      CALL UPDATE_CUSTOMER(n_i_rep,NEW.i_customer);
  ELSEIF o_i_rep NOT IN (3,17,5,9,12) AND n_i_rep IN (3,17,5,9,12) THEN
      CALL UPDATE_CUSTOMER(n_i_rep,NEW.i_customer);
  END IF;
END |

DELIMITER ;

USE `astrad`;

UPDATE config SET value = 'dba007' WHERE name = 'version';

DELIMITER |
DROP EVENT IF EXISTS `Evt_location2_Delete`|
CREATE EVENT `Evt_location2_Delete` ON SCHEDULE EVERY 1 HOUR
DO
BEGIN
DELETE  FROM location2 WHERE expires < DATE_SUB(NOW(), INTERVAL 1 HOUR);
END |
DELIMITER ;

-- USE `asterisk`;

-- DELIMITER |
-- DROP EVENT IF EXISTS `Evt_Multiple_UA_Delete`|
-- CREATE EVENT `Evt_Multiple_UA_Delete` ON SCHEDULE EVERY 30 SECOND
-- DO
-- BEGIN
-- DECLARE USR VARCHAR(80) DEFAULT '';
-- DECLARE CUR CURSOR FOR SELECT username FROM multiple_ua GROUP BY username HAVING COUNT(username) = 1;
-- OPEN CUR;
-- read_loop: LOOP
--   FETCH CUR INTO USR;
--   DELETE FROM multiple_ua WHERE username = USR;
-- END LOOP;
-- CLOSE CUR;
-- END |
-- DELIMITER ;
